import { jsx } from "react/jsx-runtime";
import { TokenROUTE as TokenROUTE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenROUTE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ROUTE", "data-name": "TokenROUTE", ...props, children: /* @__PURE__ */ jsx(TokenROUTE$1, { variant }) });
  }
);
TokenROUTE.displayName = "TokenROUTE";
Object.assign(TokenROUTE, { isGdsIcon: true });
export {
  TokenROUTE
};
